#include "buttonsview.h"
#include "common.h"
#include "procedit.h"

@implementation ButtView

- (id)initWithFrame:(NSRect)frameRect
{
	NSRect buttRect;
	
	self = [super initWithFrame:frameRect];
  	if(self) {
		buttRect = NSMakeRect(([self frame].size.width / 2) -40, 5, 80, 20);
 		usersPopUp = [[NSPopUpButton alloc] initWithFrame:buttRect];
	  	[usersPopUp setTarget: [ProcEdit sharedprocedit]];
  		[usersPopUp setAction:@selector(popupSwitchUser:)];
		[self makePopUp: nil];
		[self addSubview: usersPopUp];
	}
	return self;
}

- (void)makePopUp:(NSArray *)contents
{
	int i;
	
	[usersPopUp removeAllItems];
  	[usersPopUp addItemWithTitle:@"Users"];
	if(contents) {
		for(i = 0; i < [contents count]; i++)
  			[usersPopUp addItemWithTitle: [contents objectAtIndex: i]];
	}
}

- (void)resizeWithOldSuperviewSize:(NSSize)oldFrameSize
{
	NSRect buttRect;

	buttRect = NSMakeRect(([self frame].size.width / 2) -40, 5, 80, 20);
	[usersPopUp setFrame: buttRect];	
	[self setNeedsDisplay: YES];
}

@end
