#ifndef PROCEDIT_H
#define PROCEDIT_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "procsframe.h"
#include "buttonsview.h"
#include "procobj.h"

@interface ProcEdit : NSObject
{
	NSWindow *win;
	ButtView *buttView;
	NSScrollView *scrollView;
	ProcsFrame *procsFrame;
	NSArray *r, *s;	
}

+ (ProcEdit *)sharedprocedit;
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification;
- (BOOL)applicationShouldTerminate:(NSApplication *)app;

- (void)updatePopUp:(NSArray *)contents;
- (void)popupSwitchUser:(id)sender;
- (void)method:menuCell;

- (void)procInfo:(NSPasteboard*)bp
		  userData:(NSString*)ud
	   	  error:(NSString**)err;

@end

#endif // PROCEDIT_H

