#ifndef PROCOBJWIN_H
#define PROCOBJWIN_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "common.h"

@class ProcObj;

@interface ProcObjWin : NSView
{
	ProcObj *myPobj;
	NSString *procName;
	
	NSCell *stateCell, *userCell, *ttyCell, *pidCell, *ppidCell, *startTCell, *cpuUsCell;
	NSCell *sizeCell, *memCell, *sharedCell, *swappedCell, *cmdlineCell;
	
	NSCell *stateLabCell, *userLabCell, *ttyLabCell, *pidLabCell, *ppidLabCell, *startTLabCell, *cpuUsLabCell;
	NSCell *sizeLabCell, *memLabCell, *sharedLabCell, *swappedLabCell, *cmdlineLabCell;
	
	NSButton *okButt;
}

- (id)initWithFrame:(NSRect)frameRect procObj:(ProcObj *)apobj;

@end

#endif // PROCOBJWIN_H
